edu.ucsb.nceas.metacat.harvesterClient

## Class HarvestDetailLog

- java.lang.Object
- - edu.ucsb.nceas.metacat.harvesterClient.HarvestDetailLog

-     public class HarvestDetailLog
      extends java.lang.Object

  HarvestDetailLog manages data and operations corresponding to the HARVEST_DETAIL_LOG table. It records errors encountered while attempting to harvest a particular EML document.
  Author:
    costa

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HarvestDetailLog(Harvester harvester, java.sql.Connection conn, int detailLogID, int harvestLogID, HarvestDocument harvestDocument, java.lang.String errorMessage)` Creates a new instance of HarvestDetailLog and inserts the data into the HARVEST_DETAIL_LOG table.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printOutput(java.io.PrintStream out)` Prints the contents of this HarvestLog object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HarvestDetailLog

          public HarvestDetailLog(Harvester harvester,
                                  java.sql.Connection conn,
                                  int detailLogID,
                                  int harvestLogID,
                                  HarvestDocument harvestDocument,
                                  java.lang.String errorMessage)

      Creates a new instance of HarvestDetailLog and inserts the data into the HARVEST_DETAIL_LOG table.
      Parameters:
        `harvester` - the Harvester parent object
        `conn` - the database connection
        `detailLogID` - primary key in the HARVEST_LOG table
        `harvestLogID` - foreign key value matching the HARVEST_LOG table
        `harvestDocument` - HarvestDocument object that generated an error
        `errorMessage` - text of the error message

  - ### Method Detail

    - #### printOutput

          public void printOutput(java.io.PrintStream out)

      Prints the contents of this HarvestLog object. Used in generating reports.
      Parameters:
        `out` - the PrintStream to write to

Copyright © 2023 Regents of the University of California. All Rights Reserved.